Key Results
Create key result check-in
Creates a check-in for a key result.
POST
/
v1
/
public
/
key-results
/
{id}
/
check-ins
Create key result check-in
curl --request POST \
--url https://api.agile-tools.io/v1/public/key-results/{id}/check-ins \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"period": {
"type": "WEEK",
"startsAt": "2026-05-04",
"endsAt": "2026-05-10"
},
"measurementValue": 42,
"confidence": "HIGH",
"noteMessage": "Completed two customer interviews"
}
'import requests
url = "https://api.agile-tools.io/v1/public/key-results/{id}/check-ins"
payload = {
"period": {
"type": "WEEK",
"startsAt": "2026-05-04",
"endsAt": "2026-05-10"
},
"measurementValue": 42,
"confidence": "HIGH",
"noteMessage": "Completed two customer interviews"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
period: {type: 'WEEK', startsAt: '2026-05-04', endsAt: '2026-05-10'},
measurementValue: 42,
confidence: 'HIGH',
noteMessage: 'Completed two customer interviews'
})
};
fetch('https://api.agile-tools.io/v1/public/key-results/{id}/check-ins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/key-results/{id}/check-ins",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'period' => [
'type' => 'WEEK',
'startsAt' => '2026-05-04',
'endsAt' => '2026-05-10'
],
'measurementValue' => 42,
'confidence' => 'HIGH',
'noteMessage' => 'Completed two customer interviews'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/key-results/{id}/check-ins"
payload := strings.NewReader("{\n \"period\": {\n \"type\": \"WEEK\",\n \"startsAt\": \"2026-05-04\",\n \"endsAt\": \"2026-05-10\"\n },\n \"measurementValue\": 42,\n \"confidence\": \"HIGH\",\n \"noteMessage\": \"Completed two customer interviews\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.agile-tools.io/v1/public/key-results/{id}/check-ins")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"period\": {\n \"type\": \"WEEK\",\n \"startsAt\": \"2026-05-04\",\n \"endsAt\": \"2026-05-10\"\n },\n \"measurementValue\": 42,\n \"confidence\": \"HIGH\",\n \"noteMessage\": \"Completed two customer interviews\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/key-results/{id}/check-ins")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"period\": {\n \"type\": \"WEEK\",\n \"startsAt\": \"2026-05-04\",\n \"endsAt\": \"2026-05-10\"\n },\n \"measurementValue\": 42,\n \"confidence\": \"HIGH\",\n \"noteMessage\": \"Completed two customer interviews\"\n}"
response = http.request(request)
puts response.read_body{
"id": "8f7f13fb-6a29-4c3e-aec2-e6de531f2dc3",
"period": {
"id": "3b8a3c57-8e7e-4be7-bf56-29e2738bce34"
}
}Authorizations
Owner-typed API key (ORGANIZATION, PERSON, VALUE_UNIT). Manage org-scoped lifecycle with /v1/public-api-keys; cross-org governance is restricted to /v1/sys/public-api-keys.
Path Parameters
Pattern:
[^\s_]\S*Body
application/json
Create payload for a key result check-in.
⌘I
Create key result check-in
curl --request POST \
--url https://api.agile-tools.io/v1/public/key-results/{id}/check-ins \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"period": {
"type": "WEEK",
"startsAt": "2026-05-04",
"endsAt": "2026-05-10"
},
"measurementValue": 42,
"confidence": "HIGH",
"noteMessage": "Completed two customer interviews"
}
'import requests
url = "https://api.agile-tools.io/v1/public/key-results/{id}/check-ins"
payload = {
"period": {
"type": "WEEK",
"startsAt": "2026-05-04",
"endsAt": "2026-05-10"
},
"measurementValue": 42,
"confidence": "HIGH",
"noteMessage": "Completed two customer interviews"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
period: {type: 'WEEK', startsAt: '2026-05-04', endsAt: '2026-05-10'},
measurementValue: 42,
confidence: 'HIGH',
noteMessage: 'Completed two customer interviews'
})
};
fetch('https://api.agile-tools.io/v1/public/key-results/{id}/check-ins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/key-results/{id}/check-ins",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'period' => [
'type' => 'WEEK',
'startsAt' => '2026-05-04',
'endsAt' => '2026-05-10'
],
'measurementValue' => 42,
'confidence' => 'HIGH',
'noteMessage' => 'Completed two customer interviews'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/key-results/{id}/check-ins"
payload := strings.NewReader("{\n \"period\": {\n \"type\": \"WEEK\",\n \"startsAt\": \"2026-05-04\",\n \"endsAt\": \"2026-05-10\"\n },\n \"measurementValue\": 42,\n \"confidence\": \"HIGH\",\n \"noteMessage\": \"Completed two customer interviews\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.agile-tools.io/v1/public/key-results/{id}/check-ins")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"period\": {\n \"type\": \"WEEK\",\n \"startsAt\": \"2026-05-04\",\n \"endsAt\": \"2026-05-10\"\n },\n \"measurementValue\": 42,\n \"confidence\": \"HIGH\",\n \"noteMessage\": \"Completed two customer interviews\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/key-results/{id}/check-ins")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"period\": {\n \"type\": \"WEEK\",\n \"startsAt\": \"2026-05-04\",\n \"endsAt\": \"2026-05-10\"\n },\n \"measurementValue\": 42,\n \"confidence\": \"HIGH\",\n \"noteMessage\": \"Completed two customer interviews\"\n}"
response = http.request(request)
puts response.read_body{
"id": "8f7f13fb-6a29-4c3e-aec2-e6de531f2dc3",
"period": {
"id": "3b8a3c57-8e7e-4be7-bf56-29e2738bce34"
}
}
